## org.apache.lucene.analysis.fr
Class FrenchStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.fr.FrenchStemFilter

    public final class FrenchStemFilter

extends TokenFilter

A filter that stemms french words. It supports a table of words that should not be stemmed at all. The used stemmer can be changed at runtime after the filter object is created (as long as it is a FrenchStemmer).

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`FrenchStemFilter(TokenStream in)`
`FrenchStemFilter(TokenStream in, Set exclusiontable)`

Method Summary
`Token` `next(Token reusableToken)` Returns the next token in the stream, or null at EOS.
`void` `setExclusionTable(Map exclusiontable)` Set an alternative exclusion list for this filter.
`void` `setStemmer(FrenchStemmer stemmer)` Set a alternative/custom FrenchStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchStemFilter

    public FrenchStemFilter(TokenStream in)

### FrenchStemFilter

    public FrenchStemFilter(TokenStream in,
                            Set exclusiontable)

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned Token before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it & returning it
  Also, the producer must make no assumptions about a Token after it has been returned: the caller may arbitrarily change it. If the producer needs to hold onto the token for subsequent calls, it must clone() it before storing it. Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a Token that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(FrenchStemmer stemmer)

  Set a alternative/custom FrenchStemmer for this filter.

### setExclusionTable

    public void setExclusionTable(Map exclusiontable)

  Set an alternative exclusion list for this filter.

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.